%define libdir64 %{_prefix}/lib64

Summary: A tool for determining compilation options
Name: pkg-config
Version: 0.25
Release: 1
License: GPLv2+
URL: http://pkgconfig.freedesktop.org
Group: Development/Tools
Source0:  http://www.freedesktop.org/software/pkgconfig/releases/%{name}-%{version}.tar.gz
# https://bugs.freedesktop.org/show_bug.cgi?id=16095
Patch3: pkg-config-lib64-excludes.patch
# workaround for breakage with autoconf 2.66
# https://bugzilla.redhat.com/show_bug.cgi?id=611781
Patch4: pkg-config-dnl.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch

Obsoletes: pkgconfig < %{version}
Provides:  pkgconfig = %{version}


%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch3 -p0 -b .lib64
%patch4 -p1 -R -b .dnl

%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-pc-path=%{_libdir}/pkgconfig:%{libdir64}/pkgconfig
make %{?_smp_mflags} 


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
mkdir -p ${RPM_BUILD_ROOT}%{libdir64}/pkgconfig

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS README NEWS COPYING
%{_bindir}/*
%{_libdir}/pkgconfig
%{libdir64}/pkgconfig
%{_datadir}/aclocal/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 0.25-1
- updated to version 0.25

* Mon Aug 31 2009 Michael Perzl <michael@perzl.org> - 0.23-1
- first version for AIX V5.1 and higher
